Page MenuHomePhabricator

[OpenMP] Disable tests if FileCheck is not available in in-tree building
ClosedPublic

Authored by tianshilei1992 on Jan 29 2021, 11:10 AM.

Details

Summary

FileCheck is required for OpenMP tests. The current detection can fail
if building OpenMP in-tree when user sets LLVM_INSTALL_TOOLCHAIN_ONLY=ON. As a
result, CMake will raise an error and the compilation will be broken. This patch
fixed the issue. When FileCheck is not a target, tests will just be skipped.

Diff Detail

Event Timeline

tianshilei1992 requested review of this revision.Jan 29 2021, 11:10 AM
Herald added a project: Restricted Project. · View Herald Transcript
This revision is now accepted and ready to land.Jan 31 2021, 8:14 PM
JonChesterfield accepted this revision.Feb 1 2021, 5:09 AM
JonChesterfield added a subscriber: JonChesterfield.

I think filecheck is sometimes installed from a distribution instead of using the one from llvm, but am not totally sure that's a use case worth supporting.

I think filecheck is sometimes installed from a distribution instead of using the one from llvm, but am not totally sure that's a use case worth supporting.

Actually it's not worth supporting because some features might not be supported by the old version from distribution. I did experience the issue once. :-(